module Lita
  module Handlers
    # @since 0.1.0
    # [Lita::Handlers::Trumpifier]
    class Trumpifier < Handler
      # insert handler code here
      route(/^trumpify\s+(.*)$/i,
            :trumpify,
            help: { 'trumpify <phrase>' => 'Make <phrase> great again!' })

      def trumpify(response)
        phrase = response.matches[0][0]
        response.reply("FAKE #{phrase}")
        sleep 1
        response.reply("SAD #{phrase}")
        sleep 1
        response.reply("That #{phrase} was so tiny")
        sleep 1
        response.reply("My #{phrase} is going to be HUGE")
        sleep 1
        response.reply("My #{phrase} will ALWAYS have your back")
      end

      Lita.register_handler(self)
    end
  end
end
